## org.jfree.xml.parser
Class XmlReaderException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jfree.util.StackableException
                  org.jfree.xml.util.ObjectDescriptionException
                      org.jfree.xml.parser.XmlReaderException

All Implemented Interfaces:
  java.io.Serializable

public class XmlReaderException
extends ObjectDescriptionException

An XML reader exception.

See Also:
  Serialized Form

Constructor Summary
`XmlReaderException()` Creates a StackableRuntimeException with no message and no parent.
`XmlReaderException(java.lang.String message)` Creates an exception.
`XmlReaderException(java.lang.String message, java.lang.Exception ex)` Creates an exception.

Methods inherited from class org.jfree.util.StackableException
`getParent, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XmlReaderException

    public XmlReaderException()

  Creates a StackableRuntimeException with no message and no parent.

### XmlReaderException

    public XmlReaderException(java.lang.String message)

  Creates an exception.

Parameters:
  `message` - the exception message.

### XmlReaderException

    public XmlReaderException(java.lang.String message,
                              java.lang.Exception ex)

  Creates an exception.

Parameters:
  `message` - the exception message.
  `ex` - the parent exception.